---
lang: en
title: 'API docs: context.proxysource'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.proxysource.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ProxySource](./context.proxysource.md)

## ProxySource class

Invocation source for injected proxies. It wraps a snapshot of the `ResolutionSession` that tracks the binding/injection stack.

**Signature:**

```typescript
export declare class ProxySource implements InvocationSource<ResolutionSession> 
```
**Implements:** [InvocationSource](./context.invocationsource.md)<!-- -->&lt;[ResolutionSession](./context.resolutionsession.md)<!-- -->&gt;

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(value)](./context.proxysource._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `ProxySource` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[type](./context.proxysource.type.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[value](./context.proxysource.value.md)


</td><td>

`readonly`


</td><td>

[ResolutionSession](./context.resolutionsession.md)


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[toString()](./context.proxysource.tostring.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


